/*
 * Created by SharpDevelop.
 * User: Paki
 * Date: 11/16/2024
 * Time: 5:41 PM
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;

namespace TakmicenjePecina
{
	class Program
	{
		public static void Main(string[] args)
		{
			string[] NiL=Console.ReadLine().Split(' ');
			int N=int.Parse(NiL[0]); //Broj stalaktita
			int L=int.Parse(NiL[1]); //Pericina visina
			 
			string[] H=Console.ReadLine().Split(' '); //Visine stalaktita
			bool ZakacioSe=false;
			int I=0;
			
			for(int i=0;i<N;i++)
			{
				
				int Hi=int.Parse(H[i]);
				
				if(Hi<=L)
				{
					ZakacioSe=true;
					I=i;
					break;
				}
			}
			
			if(ZakacioSe==true)
			{
				Console.WriteLine(I+1);
			}
			else
			{
				Console.WriteLine(-1);
			}
			
			Console.Write("Press any key to continue . . . ");
			Console.ReadKey(true);
		}
	}
}